Bug 781801 - Baselines: frequency of 0 does not prevent calculation, but forces it
Baselines: frequency of 0 does not prevent calculation, but forces it
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
4.2
Unspecified Unspecified
high Severity high (vote)
: ---
: RHQ 4.3.0
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-15 04:38 EST by Heiko W. Rupp
Modified: 2013-09-01 06:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 06:12:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of error to support comment #4 (31.12 KB, image/png)
2012-01-16 13:36 EST, Mike Foley
no flags Details
server log to support comment #4 (32.82 KB, text/x-log)
2012-01-16 13:37 EST, Mike Foley
no flags Details

  None (edit)
Description Heiko W. Rupp 2012-01-15 04:38:38 EST
In the UI on the admin page it says

The frequency which the auto-calculation of baselines will be performed. If 0, baseline auto-calculation is disabled. This is specified in days.

In reality a frequency of 0 forces a hourly recalculation, as the old baselines are always older than 
System.currentTimeMillis-0
Comment 1 Heiko W. Rupp 2012-01-15 06:52:09 EST
Log from sunday at 11am:

11:00:06,723 INFO  [MeasurementBaselineManagerBean] Calculating auto baselines
11:00:06,723 INFO  [MeasurementBaselineManagerBean] Deleting baselines computations older than Sun Jan 15 11:00:06 CET 2012
11:00:06,723 INFO  [MeasurementBaselineManagerBean] Inserting new baselines using last 7 days of 1H data
11:00:06,737 INFO  [MeasurementBaselineManagerBean] Removed [2144] old baselines - they will now be recalculated (14)ms
11:00:10,089 INFO  [MeasurementBaselineManagerBean] Calculated and inserted [2144] new baselines. (3352)ms

and one hour later:

12:00:05,678 INFO  [MeasurementBaselineManagerBean] Calculating auto baselines
12:00:05,679 INFO  [MeasurementBaselineManagerBean] Deleting baselines computations older than Sun Jan 15 12:00:05 CET 2012
12:00:05,679 INFO  [MeasurementBaselineManagerBean] Inserting new baselines using last 7 days of 1H data
12:00:05,695 INFO  [MeasurementBaselineManagerBean] Removed [2144] old baselines - they will now be recalculated (16)ms
12:00:08,886 INFO  [MeasurementBaselineManagerBean] Calculated and inserted [2144] new baselines. (3191)ms
Comment 2 Heiko W. Rupp 2012-01-15 08:35:06 EST
master 1005199
Comment 3 Mike Foley 2012-01-16 13:26:02 EST
verified rhq 4.3
Comment 4 Mike Foley 2012-01-16 13:35:04 EST
re-opening.  

after initial testing, i went back to the admin screen and re-populated the baseline calculation frequency ... and received a client-side error, copied below.  there is not server-side error, but i am attaching the server log anyways.



Message :	
Failed to save the system settings
Severity :	
Error
	
Time :	
Monday, January 16, 2012 1:31:58 PM Etc/GMT+5
Detail :	

com.google.gwt.user.client.rpc.InvocationException:
--- STACK TRACE FOLLOWS ---

   at Unknown.java_lang_Throwable_fillInStackTrace__Ljava_lang_Throwable_2(Unknown source:0)
   at Unknown.com_google_gwt_user_client_rpc_InvocationException_$InvocationException__Lcom_google_gwt_user_client_rpc_InvocationException_2Ljava_lang_String_2Lcom_google_gwt_user_client_rpc_InvocationException_2(Unknown source:0)
   at Unknown.com_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_$onResponseReceived__Lcom_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_2Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V(Unknown source:0)
   at Unknown.org_rhq_enterprise_gui_coregui_client_util_rpc_TrackingRequestCallback_onResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V(Unknown source:0)
   at Unknown.com_google_gwt_http_client_Request_$fireOnResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_RequestCallback_2V(Unknown source:0)
   at Unknown.com_google_gwt_http_client_RequestBuilder$1_onReadyStateChange__Lcom_google_gwt_xhr_client_XMLHttpRequest_2V(Unknown source:0)
   at Unknown.anonymous(Unknown source:0)
   at Unknown.com_google_gwt_core_client_impl_Impl_entry0__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2(Unknown source:0)
   at Unknown.anonymous(Unknown source:0)
   at Unknown.handleEvent(Unknown source:0)
   at Unknown.SJOWContentBoundary(Unknown source:0)
   at Unknown.anonymous(Unknown source:0)
Comment 5 Mike Foley 2012-01-16 13:35:50 EST
attaching screenshot to support comment #4
Comment 6 Mike Foley 2012-01-16 13:36:23 EST
Created attachment 555568 [details]
screenshot of error to support comment #4
Comment 7 Mike Foley 2012-01-16 13:37:10 EST
attaching server log to support comment #4.  [note:  i see no evidence in the server log ... but i am attaching the server log anyways ]
Comment 8 Mike Foley 2012-01-16 13:37:58 EST
Created attachment 555569 [details]
server log to support comment #4
Comment 9 Mike Foley 2012-01-16 13:41:29 EST
Note:  comment #4 only happens with a non-rhqadmin user that has the super user role.
Comment 10 Heiko W. Rupp 2012-01-30 05:50:36 EST
Can you check again, as I can't reproduce this.
Comment 11 Heiko W. Rupp 2012-03-02 10:31:38 EST
I still can't reproduce.

If this UI-issus pops up again, then please open a BZ for the UI issue; the bug from the subject has been fixed.
Comment 12 Heiko W. Rupp 2013-09-01 06:12:24 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.